CADxp: Cropper et pivoter des PDF définitivement - CADxp

Aller au contenu

  • 2 Pages +
  • 1
  • 2
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Cropper et pivoter des PDF définitivement

#1 L'utilisateur est hors-ligne   crashray 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 125
  • Inscrit(e) : 25-novembre 11

Posté 05 mars 2015 - 17:59

Bonjour,
Je fais beaucoup de sortie PDF à partir d'AutoCAD et ce sont des plans longs du genre. 29.7unités (la hauteur du A4) par 230 unités.

Quand je fais les impressions PDF avec PDFCreator, j'ai deux problèmes :

1) Je suis obligé de prendre un papier genre 92x92 pour que ça tienne dans mon échelle et ça me fait des énormes zones blanches. Y a t'il moyen de les rogner ?

2) En général, le PDF est jamais dans le sens que je veux. A chaque ouverture, je dois le pivoter manuellement et l'orientation ne se conserve pas à l'ouverture suivante. Est-il possible de conserver cette orientation à la prochaine ouverture ?

Merci
Autodesk - SP2 - - Autodesk 2015
Géomedia - Version 14_0e - Covadis
Microsoft - SP1 - Windows 7
Leica - Version - - LEICA TS06+
0

#2 L'utilisateur est hors-ligne   Steven 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3337
  • Inscrit(e) : 03-mars 03
  • LocationDans le TARDIS

Posté 05 mars 2015 - 20:44

Salut,

En utilisant l'imprimante pdf d'AutoCAD DWF to PDF et en utilisant le format Full Bleed A4 ( 297x210), il n'y a pas besoin de faire pivoter les pdf. Ceux-ci s'impriment dans le sens horizontale.
Steven________________________________________
Pour le taf; Windows (et ses emmerdes) sinon pas d'AutoCAD.
Pour la maison; Linux Mint et pas de problèmes. Mais pas d'AutoCAD.
En rêve; AutoCAD sous Linux.
0

#3 L'utilisateur est hors-ligne   speedy 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 553
  • Inscrit(e) : 17-octobre 03

Posté 06 mars 2015 - 07:14

Bonjour à toutes et à tous
Va sur ce site, tu trouveras ton bonheur.
http://www.noliturba...ols/pdf-cropper
J'utilise pdfcrop pour enlever le blanc :
1 - Tu coches Crop white space around inked area et dans but keep : tu mets 2mm
2 - Tu coches Fixed Folder qui te permet de toujours faire tes manipulations dans le même répertoire depuis Select Pdfs selon ton choix, j'envoi tous mes pdf dans un repertoire PDF et ensuite je les envoi dans le repertoire de sauvegarde
3 - Tu coches Crop all pages to...
En général tu selectionnes tous les pdf et çà les fait automatiquement en rajoutant un crop à la fin du fichier

tu as aussi http://www.pdfsam.org/

Cordialement
Michel a
0

#4 L'utilisateur est en ligne   La Lozère 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2206
  • Inscrit(e) : 28-juin 06
  • LocationVienne (38) - Etude APA - A480

Posté 06 mars 2015 - 07:36

Tout pareil que speedy, PDFCrop et PDFSam.
Et comme visionneuse de PDF, j'utilise PDF Xchange Viewer qui permet de "rotationner", annoter, et mesurer, etc.... Et bien sur enregistrer. Le tout en version gratuite.
Bref pour les PDF, moi c'est:
- PDF Créator
- PDFCROP
- PDF SAM
- PDF XChange Viewer
A plus.
www.cad-is.fr
Autocad Map 2016/2018 - Covadis/Autopiste V16.0b - Mensura Genius V8
Nous n’héritons pas de la Terre de nos ancêtres, nous l’empruntons à nos enfants
0

#5 L'utilisateur est hors-ligne   speedy 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 553
  • Inscrit(e) : 17-octobre 03

Posté 06 mars 2015 - 09:25

Bonjour à toutes et à tous
J'utilise les mêmes outils que La Lozère, mais il y un autre que je n'ai pas cité
http://www.angusj.com/pdftkb/
PDFTK Builder qui est TOP, il fait tout.

Cordialement
Michel a
0

#6 L'utilisateur est hors-ligne   crashray 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 125
  • Inscrit(e) : 25-novembre 11

Posté 06 mars 2015 - 17:05

Merci pour toutes ses réponses précises.
J'installe tout ça lundi.
Autodesk - SP2 - - Autodesk 2015
Géomedia - Version 14_0e - Covadis
Microsoft - SP1 - Windows 7
Leica - Version - - LEICA TS06+
0

#7 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7467
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 07 mars 2015 - 07:57

Coucou


comme d'habitude, je vais finir par croire que c'est mon rôle, je viens tempérer les ardeurs des réponses fournies.


je vous mets en garde d'utiliser ce genre de logiciel sauf pour des utilisations perso bien sûr où vous avez toute liberté.


je parle des PDF déposés sur des GED, Gestion Electronique de Documents car il arrive souvent, ceux qui étaient sur le SEA s'en souviennent forcément,
que le gestionnaire de la base de données de PDF a programmé un robot qui tamponne les documents en fonction des fiches de contrôle
ce robot ne connaît qu'une chose, la position du point bas droit qui est sa référence 0,0
ensuite je ne sais pas s'il compte en pixels ou autre chose mais il va déposer le tampon par rapport à ce point, du style -50,280
ce qui va positionner un joli tampon BPE (par exemple) en haut à droite du cartouche dans un emplacement blanc réservé à cet effet.
et c'est là que le bât blesse, si le PDF a été rogné, il ne l'a été qu'à l'affichage, c'est de l'apparence mais le point 0,0 d'origine est conservé en mémoire
et le robot tamponne DANS LE VIDE et les fiches de non-conformité pleuvent.


encore une fois le mieux est l'ennemi du bien, alors je vous prie de ne pas céder à la facilité mais de bien dimensionner vos PDF, franchement c'est pas compliqué de créer un format de papier, si ?


amicalement
Éternel débutant ...
Les bases AutoLisp
0

#8 L'utilisateur est hors-ligne   vincentp010 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 568
  • Inscrit(e) : 19-décembre 07

Posté 09 mars 2015 - 10:16

Après c'est peut être au robot de ne pas prendre en compte seulement la MediaBox et d'utiliser la BoundingBox pour mettre son tampon !

Voir le messagedidier, le 07 mars 2015 - 07:57 , dit :

franchement c'est pas compliqué de créer un format de papier, si ?

Si tu sort des plans qui n'ont jamais le même format, ça peut devenir très chiants, si.
0

#9 L'utilisateur est hors-ligne   x_all 

  • ceinture rouge et blanche 6em dan
  • Groupe : Membres
  • Messages : 3035
  • Inscrit(e) : 27-juin 06
  • Location04190

Posté 09 mars 2015 - 10:38

je me suit fait des format fonction des largeur de rouleau de l'imprimeur avec qui on travaille (420 594 841 914)
pour tout ce qui est hors format, j’agrandis de 10 en 10cm par exemple le A1 c'est 594x841j'ai donc fait 594x950, 1050, 1150 ... jusqu’à environ 2.00m SI exeprionellement j'en ai un plus long, je rajoute un format, mais je le fait de moins en moins souvent.
j'ai donc une 20taine de .pc3 qui me servent pour tout (car franchement on est pas à 10cm près)

Couper sur la largeur de rouleau sert à rien car les imprimeurs retaillent pas leurs feuilles...
"La possibilité d'expliquer m'a toujours paru comme la seule excuse à l’existence de la parole"
JL Godard

quelques trucs sur autocad
0

#10 L'utilisateur est en ligne   La Lozère 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2206
  • Inscrit(e) : 28-juin 06
  • LocationVienne (38) - Etude APA - A480

Posté 09 mars 2015 - 10:39

Citation

Si tu sort des plans qui n'ont jamais le même format, ça peut devenir très chiants, si.

+1.... Et après on se retrouve avec une liste de format dans l'imprimante à n'en plus finir...
www.cad-is.fr
Autocad Map 2016/2018 - Covadis/Autopiste V16.0b - Mensura Genius V8
Nous n’héritons pas de la Terre de nos ancêtres, nous l’empruntons à nos enfants
0

#11 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7467
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 09 mars 2015 - 11:05

Coucou

aux trois dernières réponses :

je m'incline donc devant ce refus toujours est-il que je m'oblige personnellement à le faire et de ce fait je me sens autorisé à le demander à mes dessinateurs, ce qu'ils font, merci.

Puisqu'on ne travaille pas ensemble vous avez toute liberté de faire comme bon vous semble mais comme je vois des discussions portant sur la "bonne manière" de faire de temps en temps sur ce forum, la dernière en date portait sur la non-utilisation du calque zéro, je me suis dit que mon propos explicitant la "bonne manière" de faire avait droit de cité.
je sors des plans et des profils qui n'ont quasiment jamais les même formats, je le définis à chaque fois dans le "surdimperso" et c'est pas trois clics et deux valeurs à taper qui vont me faire reculer et changer d'avis pour une simple raison de se contenter du minimum, c'est mon avis et je suis content de la partager avec moi-même, se contenter du maximum est plus proche de ma ligne de conduite.
c'est dans la même lignée que relire ce qu'on a tapé dans un mail ou un message pour corriger les fautes de frappe et les fotes dore taux graffe, ça tient de l'amour propre et du respect de l'autre, mais vous allez peut-être me répondre que ça devient vite très chi...

amicalement tout de même
Éternel débutant ...
Les bases AutoLisp
0

#12 L'utilisateur est hors-ligne   LeGritche 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 11
  • Inscrit(e) : 21-avril 04

Posté 09 mars 2015 - 11:54

Bonjour à tous,

Si j'ai bien tout compris à la problématique, j'ai peut-être une solution à vous proposer qui n'utilisera QUE PDFCreator ...
Un petit tuto. en pièce jointe...

Et si j'ai pas compris votre problème, veuillez me pardonner l'intrusion...;)

Cordialement
:)

Fichier(s) joint(s)


Le Tout est supérieur à la somme des parties qui Le compose ...
0

#13 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7467
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 09 mars 2015 - 14:57

Coucou

il n'y a aucun souci pour l'intrusion, c'est la bonne marche à suivre pour atteindre la perfection.
je me suis juste permis un petit coup de gueule car il a été dit que ça devenait vite chi...
franchement si ça ça l'est ... laissez tomber AutoCAD les gars.

amicalement comme toujours
Éternel débutant ...
Les bases AutoLisp
0

#14 L'utilisateur est hors-ligne   vincentp010 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 568
  • Inscrit(e) : 19-décembre 07

Posté 09 mars 2015 - 15:19

Voila ce que j'utilise avec pdfcreator pour avoir des pdf à la bonne taille sans me prendre la tête.

Tout d'abord je me suis fait un lisp qui me sort un pdf avec pdfcreator sur du papier de 92x92 en utilisant les paramètres d'impression déjà définis:

;###########################################################################
;# Copyright (C) 07-2014  Vincent PRELAT                                   #
;# This program is free software: you can redistribute it and/or modify	   #
;#  it under the terms of the GNU General Public License as published by   #
;#  the Free Software Foundation, either version 3 of the License, or      #
;#  any later version.                                                     #
;# This program is distributed in the hope that it will be useful,         #
;#  but WITHOUT ANY WARRANTY; without even the implied warranty of         #
;#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
;#  GNU General Public License for more details.                           #
;# You should have received a copy of the GNU General Public License       #
;#  along with this program.  If not, see <http://www.gnu.org/licenses/>.  #
;###########################################################################

;Print pdf 92x92 inch
;Use _PAGESETUP configuration

(vl-load-com)

(defun c:ppdf (/ imprimante papier orient decal style ech al pt)
  (setvar "cmdecho" 0)
  
  (setq imprimante "PDFCreator")
  (setq orient "")
  (setq decal "")
  (setq style "")
  
  ; set scale, as by default fit to page
  (setq al (vla-get-ActiveLayout (vla-get-activedocument (vlax-get-acad-object))))
  (vla-getCustomScale al 'numerator 'denominator)
  (setq ech (strcat (rtos numerator 2)  ":" (rtos denominator 2)))
  
  (setq papier (vla-get-CanonicalMediaName al))
  (if (not (or (= papier "A4") (= papier "A3")))
    (progn
      (setq papier "92x92")
      (setq orient "_p") ;portrait
      (setq decal "_c") ;centre
    )
  )
  
  (setq pt (vla-get-PlotType al))
  ; 0 "Affichage"
  ; 1 "Etendu"
  ; 2 "Limites"
  ; 3 "Vue"
  ; 4 "Fenetre"
  ; 5 "Presentation"
  
  (cond
    ((= pt 0)
      (if (= (getvar "CTAB") "Model")
        ;                 detail present imprimante papier unite orient symetrie display ech decal strace ctb   epaisl ombrage fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_d"    ech decal "_y"   style ""     ""      "_n"    "_n"        "_y")
        ;                 detail present imprimante papier unite orient symetrie display ech decal strace ctb   epaisl echepais ep1er masquerep fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_d"    ech decal "_y"   style ""     ""       ""    ""        "_n"    "_n"        "_y")
      )
    );_0
    ((= pt 1)
      (if (= (getvar "CTAB") "Model")
        ;                 detail present imprimante papier unite orient symetrie extend ech decal strace ctb   epaisl ombrage fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_e"   ech decal "_y"   style ""     ""      "_n"    "_n"        "_y")
        ;                 detail present imprimante papier unite orient symetrie extend ech decal strace ctb   epaisl echepais ep1er masquerep fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_e"   ech decal "_y"   style ""     ""       ""    ""        "_n"    "_n"        "_y")
      )
    );_1
    ((= pt 2)
        ;                 detail present imprimante papier unite orient symetrie limits ech decal strace ctb   epaisl ombrage fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_l"   ech decal "_y"   style ""     ""      "_n"    "_n"        "_y")
    );_2
    ((= pt 3)
      (if (= (getvar "CTAB") "Model")
        ;                 detail present imprimante papier unite orient symetrie view vname ech decal strace ctb   epaisl ombrage fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_v" ""    ech decal "_y"   style ""     ""      "_n"    "_n"        "_y")
        ;                 detail present imprimante papier unite orient symetrie view vname ech decal strace ctb   epaisl echepais ep1er masquerep fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_v" ""    ech decal "_y"   style ""     ""       ""    ""        "_n"    "_n"        "_y")
      )
    );_3
    ((= pt 4)
      (if (= (getvar "CTAB") "Model")
        ;                 detail present imprimante papier unite orient symetrie fenetre ig sd ech decal strace ctb   epaisl ombrage fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_w"    "" "" ech decal "_y"   style ""     ""      "_n"    "_n"        "_y")
        ;                 detail present imprimante papier unite orient symetrie fenetre ig sd ech decal strace ctb   epaisl echepais ep1er masquerep fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_w"    "" "" ech decal "_y"   style ""     ""       ""    ""        "_n"    "_n"        "_y")
      )
    );_4
    ((= pt 5)
        ;                 detail present imprimante papier unite orient symetrie layout ech decal strace ctb   epaisl echepais ep1er masquerep fichier enregistrer tracer
        (command "_-plot" "_y"   ""      imprimante papier "_m"  orient ""       "_l"   ech ""    "_y"   style ""     ""       ""    ""        "_n"    "_n"        "_y")
    );_5
    (t nil)
  );_cond

)


Et dans pdfcreator j'ai un profil avec une action automatique après l'enregistrement pour couper le pdf (je viens de le modifier suivant les remarques de didier pour créer un pdf sans CropBox)
Il nécessite l'installation de Ghostscript

Image IPB

' CropIt.vbs script
' License: GPL
' Version: 1.1.1
' Date: 10/03/2015
' Author: Vincent Prelat
' Comments: This script needs ghostscript.
'           http://www.ghostscript.com

Option Explicit

Const AppTitle = "PDFCreator - CropIt"
Const PathTogs = "C:\Program Files\gs\gs9.14\bin\gswin32c.exe"

' Marging to add on pdf's HiResBoundingBox (mm)
Const marge = 2


Function GetPDFbbox(PathTogs, fname)

    Dim GetDecimalChar
    GetDecimalChar = Mid(CStr(CDbl(1/2)), 2, 1)
    'MsgBox("Separateur: """ & GetDecimalChar & """")
    
    ' Get HiResBoundingBox
    Dim WshShell, ret, FndHbb, BBox
    Set WshShell = CreateObject("WScript.Shell")
    
    ret = WshShell.Exec(PathTogs & " -dNOPAUSE -dBATCH -sDEVICE=bbox """ & fname & """ ").stderr.readall
    'MsgBox(ret)
    FndHbb = InStr(1, ret, "%%HiResBoundingBox:")
    BBox = Mid(ret, FndHbb + 20)

    Dim BBoxArray
    BBoxArray = Split(BBox, " ", -1, 1)
    GetPDFbbox = Array(CDbl(replace(BBoxArray(0), ".", GetDecimalChar)), CDbl(replace(BBoxArray(1), ".", GetDecimalChar)), CDbl(replace(BBoxArray(2), ".", GetDecimalChar)), CDbl(replace(BBoxArray(3), ".", GetDecimalChar)))
End Function

Function AddMarge(BBoxArray, m):
    '72pt = 1 inch = 25.4 mm
    Dim i
    i = m * 72/25.4
    AddMarge = Array(BBoxArray(0) - i, BBoxArray(1) - i, BBoxArray(2) + i, BBoxArray(3) + i)
End Function

' Set CropBox of a pdf
Sub CropPDF(PathTogs, fname, fname2, BBox)
    Dim GetDecimalChar
    GetDecimalChar = Mid(CStr(CDbl(1/2)), 2, 1)
    Dim WshShell
    Set WshShell = CreateObject("WScript.Shell")
    WshShell.Run """" & PathTogs & """" & " -sDEVICE=pdfwrite -o" & " """ & fname2 & """ -c [/CropBox [" & CStr(replace(BBox(0), GetDecimalChar, ".")) & " " & CStr(replace(BBox(1), GetDecimalChar, ".")) & " " & CStr(replace(BBox(2), GetDecimalChar, ".")) & " " & CStr(replace(BBox(3), GetDecimalChar, ".")) & "] /PAGES pdfmark -f """ & fname & """",0 , true
End Sub

' Create a new pdf with MediaBox set to CropBox of old pdf
Sub Crop2Media(PathTogs, fname, fname2)
    Dim WshShell
    Set WshShell = CreateObject("WScript.Shell")
    WshShell.Run """" & PathTogs & """" & " -sDEVICE=pdfwrite -dUseCropBox -o" & " """ & fname2 & """ """ & fname & """",0 , true
End Sub

Dim objArgs, fname, tfname, fso, BBox

Set objArgs = WScript.Arguments

If objArgs.Count = 0 Then
 MsgBox "This script needs a parameter!", vbExclamation, AppTitle
 WScript.Quit
End If

fname = objArgs(0)

Set fso = CreateObject("Scripting.FileSystemObject")

If Ucase(fso.GetExtensionName(fname)) <> "PDF" Then
 MsgBox "This script works only with pdf files!", vbExclamation, AppTitle
 WScript.Quit
End If

If Not fso.FileExists(PathTogs) Then
 MsgBox "You need ghostscript for this script!" & vbcrlf & vbcrlf & _
  "Please go to http://www.ghostscript.com and download it.", vbExclamation, AppTitle
 WScript.Quit
End If

Dim WshShell
Set WshShell = CreateObject("WScript.Shell")
tfname = WshShell.ExpandEnvironmentStrings("%TEMP%") & "\" & fso.GetTempName

BBox = GetPDFbbox(PathTogs, fname)
BBox = AddMarge(BBox, marge)
CropPDF PathTogs, fname, tfname, BBox

If Not fso.FileExists(tfname) Then
 MsgBox "There was an error using ""gs""!", vbCritical, AppTitle
 WScript.Quit
End If

Crop2Media PathTogs, tfname, fname
fso.DeleteFile(tfname)

0

#15 L'utilisateur est hors-ligne   crashray 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 125
  • Inscrit(e) : 25-novembre 11

Posté 10 mars 2015 - 09:33

Voir le messageLeGritche, le 09 mars 2015 - 11:54 , dit :

Bonjour à tous,

Si j'ai bien tout compris à la problématique, j'ai peut-être une solution à vous proposer qui n'utilisera QUE PDFCreator ...
Un petit tuto. en pièce jointe...

Et si j'ai pas compris votre problème, veuillez me pardonner l'intrusion...;)

Cordialement
:)

Super merci pour le tuto, ça marche nickel. Je vais voir pour utiliser les lisps de vincentp010, ça a l'air exactement ce dont j'ai besoin et ça sera plus rapide. Si j'ai bien compris le deuxième script, c'est à mettre dans PDFcreator ?

Edit : Lequel je dois installer là-dedans :
http://ghostscript.com/download/
Et après pour le profil, c'est dans cette fenêtre ?
Image IPB

Merci
Autodesk - SP2 - - Autodesk 2015
Géomedia - Version 14_0e - Covadis
Microsoft - SP1 - Windows 7
Leica - Version - - LEICA TS06+
0

#16 L'utilisateur est hors-ligne   vincentp010 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 568
  • Inscrit(e) : 19-décembre 07

Posté 10 mars 2015 - 10:03

Tu prend la version GPL sur cette page
Oui, en haut à droite tu as un + pour créer un nouveau profil que tu pourras choisir lors de l'impression en pdf.
Dans l'onglet "Actions" tu choisis le fichier .vbs en "Action après l'enregistrement"
Dans ce fichier, il faut changer le chemin vers l’exécutable ghostscript et la marge voulue.
0

#17 L'utilisateur est hors-ligne   crashray 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 125
  • Inscrit(e) : 25-novembre 11

Posté 10 mars 2015 - 10:58

Voir le messagevincentp010, le 10 mars 2015 - 10:03 , dit :

Tu prend la version GPL sur cette page
Oui, en haut à droite tu as un + pour créer un nouveau profil que tu pourras choisir lors de l'impression en pdf.
Dans l'onglet "Actions" tu choisis le fichier .vbs en "Action après l'enregistrement"
Dans ce fichier, il faut changer le chemin vers l’exécutable ghostscript et la marge voulue.

ça marche tip top !! Terrible !!

Comment charger automatiquement au début d'autocad ton lisp ? Actuellement je fais Appload car j'en utilise rarement mais je pense que celui-là je vais en avoir une utilisation intensive.

Merci encore vincentp010
Autodesk - SP2 - - Autodesk 2015
Géomedia - Version 14_0e - Covadis
Microsoft - SP1 - Windows 7
Leica - Version - - LEICA TS06+
0

#18 L'utilisateur est hors-ligne   vincentp010 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 568
  • Inscrit(e) : 19-décembre 07

Posté 10 mars 2015 - 11:31

Tu met le lisp dans le chemin de recherche des fichiers de support
et dans le fichier C:\Users\User\AppData\Roaming\Autodesk\AutoCAD Map 3D 2009\R17.2\fra\Support\acaddoc.lsp (a changer suivant ta version) tu mets cette ligne
(load "ppdf")

si le fichier s'appelle ppdf.lsp
0

#19 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 661
  • Inscrit(e) : 04-novembre 05

Posté 10 mars 2015 - 12:07

[quote name='vincentp010'
[/quote]
salut,
ton truc me passionne, ça me rappelle ce que l'on peut faire avec Ustation, à savoir lancer des programmes VB au moment du ou après le tracé.
j'entrevois pleins de possibilités !
a+
Gégé
---------------------------------------------------------------------- PowerClic sur http://www.g-eaux.com
0

#20 L'utilisateur est hors-ligne   crashray 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 125
  • Inscrit(e) : 25-novembre 11

Posté 10 mars 2015 - 14:11

Voir le messagevincentp010, le 10 mars 2015 - 11:31 , dit :

Tu met le lisp dans le chemin de recherche des fichiers de support
et dans le fichier C:\Users\User\AppData\Roaming\Autodesk\AutoCAD Map 3D 2009\R17.2\fra\Support\acaddoc.lsp (a changer suivant ta version) tu mets cette ligne
(load "ppdf")

si le fichier s'appelle ppdf.lsp

J'ai pas de fichier acaddoc.lsp dans le dossier. J'en crée un ?

Edit : quand je vais dans la fenêtre pour rajouter un chemin de recherche de fichiers de support, les boutons à droite sont grisés. J'ai rajouté à Chemin de recherche des fichiers de support en cours d'utilisation et emplacements approuvés sans soucis.
Autodesk - SP2 - - Autodesk 2015
Géomedia - Version 14_0e - Covadis
Microsoft - SP1 - Windows 7
Leica - Version - - LEICA TS06+
0

Partager ce sujet :


  • 2 Pages +
  • 1
  • 2
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)